Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-75875

Fix hard dependency on Widgets package when building modules that don't need uic

    XMLWordPrintable

    Details

    • Type: User Story
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 6.0.0
    • Component/s: Build System
    • Labels:
      None

      Description

      While trying to port qtimageformats to CMake, if I don't specify a find_package(Qt5Widgets), the configuration process fails with a bunch of errors like:

      CMake Error in src/plugins/imageformats/wbmp/CMakeLists.txt:
        Error evaluating generator expression:
      
          $<TARGET_FILE:Qt5::uic>
      
        No target "Qt5::uic"
      

      This is because we automatically enable "uic" autogen for all qt targets via qt_autogen_tools() function, unless the DISABLE_AUTOGEN_TOOLS option is specified.

      We shouldn't have to specify that option in so many places though.

        Attachments

        For Gerrit Dashboard: QTBUG-75875
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            alexandru.croitor Alexandru Croitor
            Reporter:
            alexandru.croitor Alexandru Croitor
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes